#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3
visibility:           public
id:                   tree-diff-0.3-7i4RyZ0i3IzIEX7ihhvSw4
key:                  tree-diff-0.3-7i4RyZ0i3IzIEX7ihhvSw4
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  6a43fb48cfd9b381e5fa96909a13b845
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3-7i4RyZ0i3IzIEX7ihhvSw4
depends:
    QuickCheck-2.14.2-Iy0gZ0DURf75G0qAcJ4KVG
    aeson-2.1.1.0-G096tWOvHRbG9p2kqAnbSl
    ansi-terminal-0.11.4-4SgCWaXZr2qIqjtLzwrNoa
    ansi-wl-pprint-0.6.9-BFJbaRpjpVy5dsnMrxIdN4 base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 data-array-byte-0.1.0.1-GP2breEDQ3f5Sj6SH4FQfF
    deepseq-1.4.5.0 hashable-1.4.2.0-CqBnUCWXkAoBvuSxaiTiK1
    parsec-3.1.14.0 parsers-0.12.11-HsKRKgP3UE9IWtZ519KUI3
    pretty-1.1.3.6 primitive-0.7.4.0-A5hJyO7gfJjKCazGezxOm3
    scientific-0.3.7.0-8r3fdK6nEkfQf0ZPH5JP1
    semialign-1.2.0.1-EJLjbBn3oDamqpq3LffWp
    strict-0.4.0.1-2NFhjht3KmPAhVGmFElDue
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    these-1.1.1.1-CD3a25U16nK6K35QiDKIrZ time-1.9.3
    unordered-containers-0.2.19.1-5gVbJUjVHi23RWuJCnXA3W
    uuid-types-1.0.5-KJje83IVDpK2Guxt4hNdPy
    vector-0.13.0.0-dBvEOJ9xPHLRlUgENbcJF

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

